> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/products/approve#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative).  
**This method will no longer be accessible by
anyone after September 30, 2025.**

Approves the specified product and the relevant app permissions, if any.
The maximum number of products that you can approve per enterprise customer
is 1,000.

To learn how to use managed Google Play to design and create a store
layout to display approved products to your users,
see [Store Layout Design](https://developers.google.com/android/work/play/emm-api/store-layout).

<br />

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/products/productId/approve
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `productId` | `string` | The ID of the product. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply data with the following structure:

```
{
  "approvalUrlInfo": {
    "kind": "androidenterprise#approvalUrlInfo",
    "approvalUrl": string
  },
  "approvedPermissions": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `approvalUrlInfo` | `nested object` | The approval URL that was shown to the user. Only the permissions shown to the user with that URL will be accepted, which may not be the product's entire set of permissions. For example, the URL may only display new permissions from an update after the product was approved, or not include new permissions if the product was updated since the URL was generated. |   |
| `approvalUrlInfo.approvalUrl` | `string` | A URL that displays a product's permissions and that can also be used to approve the product with the `Products.approve` call. |   |
| `approvedPermissions` | `string` | Sets how new permission requests for the product are handled. "allPermissions" automatically approves all current and future permissions for the product. "currentPermissionsOnly" approves the current set of permissions for the product, but any future permissions added through updates will require manual reapproval. If not specified, only the current set of permissions will be approved. <br /> Acceptable values are: - "`allPermissions`" - "`currentPermissionsOnly`" |   |
| `approvalUrlInfo.kind` | `string` |   |   |

## Response

If successful, this method returns an empty response body.